---
title: Users
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > Cloudcraft (Standalone) > Cloudcraft API Reference > Users
---

# Users
.openapi-spec-content img{max-width:100%}.openapi-spec-content h1 a:hover,.openapi-spec-content h2 a:hover{color:#000;border-bottom:1px solid #000}Get user profileGET  /user/meOverviewRetrieve your user profile.Response200401
{% tab title="200" %}
OKModelExample
{% tab title="Model" %}
Expand AllFieldTypeDescriptioncreatedAt
string

The date and time the user was created.
email
string

The email address of the user.
id
string

The unique identifier of the user.
name
string

The name of the user.
settings
object

An array of key-value pairs representing the user's settings.
updatedAt
string

The date and time the user was last updated.
{% /tab %}

{% tab title="Example" %}

```json
{
  "createdAt": "2022-01-01T20:54:47.282Z",
  "email": "user@example.org",
  "id": "us46e9aa-5806-4cd6-8e78-c22d58602d09",
  "name": "Example API User",
  "settings": {
    "key": "value, Cloudcraft UI settings"
  },
  "updatedAt": "2022-01-01T20:54:53.963Z"
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% /tab %}
Code Example.chroma{max-height:350px;overflow:hidden;overflow-y:scroll}
```bash
curl --location 'https://api.cloudcraft.co/user/me'
```

```golang
package main

import (
	"context"
	"log"
	"os"

	"github.com/DataDog/cloudcraft-go"
)

func main() {
	// Get the API key from the environment.
	key, ok := os.LookupEnv("CLOUDCRAFT_API_KEY")
	if !ok {
		log.Fatal("missing env var: CLOUDCRAFT_API_KEY")
	}

	// Create new Config to initialize a Client.
	cfg := cloudcraft.NewConfig(key)

	// Create a new Client instance with the given Config.
	client, err := cloudcraft.NewClient(cfg)
	if err != nil {
		log.Fatal(err)
	}

	// Get your own user profile.
	user, _, err := client.User.Me(context.Background())
	if err != nil {
		log.Fatal(err)
	}

	// Print the user's name.
	log.Println(user.Name)
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("https://api.cloudcraft.co/user/me")
  .method("GET", body)
  .build();
Response response = client.newCall(request).execute();
```

```python
from cloudcraftco import Cloudcraft

cloudcraft = Cloudcraft()

profile = cloudcraft.read_user_profile()
```

```ruby
require "uri"
require "net/http"

url = URI("https://api.cloudcraft.co/user/me")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
```

```javascript
var requestOptions = {
  method: 'GET',
  redirect: 'follow'
};

fetch("https://api.cloudcraft.co/user/me", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```
